var global_offset = 0;
var global_document_url = "";

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	if(-1 == vid_mate_url.indexOf("xxnxwap"))
	{
		return null;
	}
	
	if(-1 == vid_mate_url.indexOf("file.php"))
	{
		return null;
	}

	var file = vid_mate_get_parameter(vid_mate_url, "file");
	if(file)
	{
		return file;
	}
	else
	{
		return null;
	}
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content)
{
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "xxnxwap";
	rtn_video.id = vid_mate_get_video_id(global_document_url);
	rtn_video.url = global_document_url;

	var arr = rtn_video.id.split("/");
	var title = arr.pop();

	
	var arr1 = title.split(".");
	arr1.pop();
	rtn_video.title = decodeURIComponent(arr1.join("."));
	
	var videoImg = cutstr(vm_content, "<br><img src=\"", "\"");
	if(videoImg)
	{
		rtn_video.picture_default = videoImg;
		rtn_video.picture_big = videoImg;
	}
	
	var data = cut_all(vm_content, "<a href=\"", "\"");
	var source_num = 1;
	for(var i=0; i<data.length; ++i)
	{
		var href = data[i];
		if(-1 != href.indexOf("&ext=3") || -1 != href.indexOf("&ext=4"))
		{
			var tmp_format = "mp4";
			if(-1 != href.indexOf("&ext=3"))
			{
				tmp_format = "3gp";
			}

			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = href;
			tmp_video_file.format = tmp_format;
			tmp_video_file.title = tmp_format;
			tmp_video_file.f_id = rtn_video.id+"_"+tmp_format;
			rtn_video.files.push(tmp_video_file);
			source_num++;
		}
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('xxnxwap 1');
		return null;
	}
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cut_all(content, prefix, suffix)
{
	global_offset = 0;
	var ret_array = [];
	while(global_offset < content.length)
	{
		var str = cutstr_ex(content, prefix, suffix);
		if(null == str)
		{
			break;
		}
		ret_array.push(str);
	}
	global_offset = 0;
	return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix, global_offset);
	if(-1 == p1)
	{
		return null;
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return null;
	}
	global_offset = p2 + suffix.length;
	return content.substring(p1, p2);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}