var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;
var global_id = null;
var global_anime = null;
var global_ep = null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://m.cartoons8.co/watch/114950/genshiken-dubbed/episode-11
	if(-1 == vid_mate_url.indexOf("cartoons8"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("/watch/"))
	{
		return null;
	}


	var arr = vid_mate_url.split("/");
	if(arr.length < 7)
	{
		return null;
	}
	var vid_mate_video_id = arr[4];
	
	if(0 == vid_mate_video_id.length)
	{
		return null;
	}
	
    global_id = arr[4];
    global_anime = arr[5];
    global_ep = arr[6];
	
	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		url = "http://m.cartoons8.co/lib/mobile_picasa.php";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "POST";
		var data = "id=" + global_id + "&anime=" + global_anime + "&ep=" + global_ep;
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('cartoons8 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}


	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "cartoons8";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	videoUrl = cutstr(vm_content, "video_source\" src=\"", "\"");
	if (videoUrl)
	{
		videoUrl = videoUrl.trim();
	}
	else
	{
		vid_mate_error_default('get file url from embedURL fail.');
		return null;
	}

	var video_url_360p = rcutstr(vm_content, "href=\"", "\">360p");
	var video_url_720p = rcutstr(vm_content, "href=\"", "\">720p");
	
	if(video_url_360p)
	{
		rtn_video.title = global_anime;
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = video_url_360p;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "360p";
		tmp_video_file.f_id = rtn_video.id+"_360p_mp4";
		rtn_video.files.push(tmp_video_file);
	}
	
	if(video_url_720p)
	{
		rtn_video.title = global_anime;
		var tmp_video_file = new vid_mate_video_file();
		tmp_video_file.url = video_url_720p;
		var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
		tmp_video_file.format = "mp4";
		tmp_video_file.title = "720p";
		tmp_video_file.f_id = rtn_video.id+"_720p_mp4";
		rtn_video.files.push(tmp_video_file);
	}
	
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}



function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}
