var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://videos.sapo.pt/QNYPfYBupOjfANFCuhAV
	if(-1 == vid_mate_url.indexOf("videos.sapo"))
	{
		return null;
	}

	var arr = vid_mate_url.split("/");
	if(4 != arr.length)
	{
		return null;
	}
	var vid_mate_video_id = arr.pop();
	if(0 == vid_mate_video_id.length)
	{
		return null;
	}

	return vid_mate_video_id;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{

    url = document.URL;

    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');
		//http://rd.videos.sapo.pt/wTvSiONkCMVtD9T0boit/mov/1?videosrc=true&countView=false&rnd=563377493&jsoncallback=JSONPCallback_1
		//获取Video当前data-vhs-randname  http://js.sapo.pt/Projects/VHS2/2.0.0/videoHub.html
		var iframeHtml = document.getElementsByTagName('iframe');
		var iframeSrc= '';//http://js.sapo.pt/Projects/VHS2/2.0.0/videoHub.html?cb=http://videos.sapo.pt&randname=wdcAihHSrpOYzy5C3Pf2&quality=1&playlist=https://services.sapo.pt/Videos/JSON2/Channel/sapovideos/34?page=1&limit=10&parentUrl=http://videos.sapo.pt/
		for(var i=0;i<iframeHtml.length;i++){
			if(iframeHtml[i].src.indexOf("http://js.sapo.pt/Projects/VHS2/2.0.0/videoHub.html")<0){
				continue;
			}
			iframeSrc = iframeHtml[i].getAttribute('src');
		}
		var pattern = new RegExp('&randname=([A-Za-z0-9\-]+?)&quality=','gi'); 
		var matchArr = pattern.exec(iframeSrc);
		if(matchArr.length>1){
			rndName = matchArr[1];
		}
		
		if(rndName.length>0)
			url = "http://rd.videos.sapo.pt/"+rndName+"/mov/1?videosrc=true&countView=false&rnd=563377493&jsoncallback=JSONPCallback_1";
		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('sapo 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";
	var validJsonStr = vm_content.replace("JSONPCallback_1(", "").replace(");","");
	var json = JSON.parse(validJsonStr);
	
	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "sapo";
	rtn_video.id = vid_mate_get_video_id(global_document_url);
	
	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = json.url;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = "mp4";
	tmp_video_file.title = "mp4";
	tmp_video_file.f_id = rtn_video.id+"_mp4";
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}


